Piloterr

Google Search

Credit cost: 1 credit per call

GET
/v2/google/search

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/google/search"
{
  "pagination": {
    "next": 2,
    "current": 1,
    "other_pages": [
      2,
      3,
      4,
      5,
      6,
      7,
      8,
      9,
      10
    ],
    "has_next_page": true
  },
  "knowledge_graph": {
    "type": "Aircraft manufacturing commercial company",
    "title": "Airbus SE",
    "website": "https://www.airbus.com/en"
  },
  "organic_results": [
    {
      "link": "https://www.airbus.com/en",
      "title": "Airbus: Pioneering sustainable aerospace",
      "domain": "www.airbus.com",
      "source": "Airbus",
      "snippet": "Airbus designs, manufactures and delivers industry-leading commercial aircraft, helicopters, military transports, satellites, launchers and more.",
      "position": 1
    }
  ],
  "search_parameters": {
    "q": "Airbus Company",
    "gl": "us",
    "hl": "en",
    "page": 1,
    "engine": "google"
  }
}
{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}